%define short_name commons-discovery

Name: jakarta-%short_name
Version: 0.2
Release: alt3
Summary: Jakarta Commons Discovery
Group: Development/Java
License: Apache Software License
Url: http://jakarta.apache.org/commons/discovery.html
BuildArch: noarch
Source0: commons-discovery-0.2-dev.tar.bz2
#Patch: commons-discovery-0.2-dev-alt-enum.patch

BuildPreReq: /proc rpm-build-java
BuildRequires: ant junit jakarta-commons-logging
Requires: jakarta-commons-logging

%description
The Discovery component is about discovering, or finding, implementations for
pluggable interfaces.  Pluggable interfaces are specified with the intent that
multiple implementations are, or will be, available to provide the service
described by the interface.  Discovery provides facilities for finding and
instantiating classes, and for lifecycle management of singleton (factory)
classes.

%package javadoc
Group: Development/Java
Summary: Javadoc for %name
Requires: java-common

%description javadoc
Javadoc for %name.

%prep
%setup -q -n discovery
#%patch0 -p0

%build
%ant_build \
	-Djunit.jar=%_javadir/junit.jar \
	-Dlogger.jar=%_javadir/jakarta-commons-logging.jar \
	test.discovery dist

%install
# jar
mkdir -p %buildroot%_javadir
cp -p dist/%short_name.jar %buildroot%_javadir/%name.jar

# javadoc
mkdir -p %buildroot%_javadocdir/%name
cp -pr dist/docs/api/* %buildroot%_javadocdir/%name

%files
%doc LICENSE.txt TODO *.html
%_javadir/*

%files javadoc
%_javadocdir/%name

%changelog
* Tue Mar 22 2005 Vladimir Lettiev <crux@altlinux.ru> 0.2-alt3
- rpm-build-java macroces
- remove patch1 (applied in upstream)

* Mon Oct 25 2004 Vladimir Lettiev <crux@altlinux.ru> 0.2-alt2
- 0.2-dev (cvs 20041024)
- fix build with j2se1.5

* Fri Sep 17 2004 Vladimir Lettiev <crux@altlinux.ru> 0.2-alt1
- Rebuild for ALT Linux Sisyphus
- spec cleanup

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 1:1:0.2-2jpp
- Rebuild with ant-1.6.2

* Thu Apr 17 2003 Ville Skytt <ville.skytta at iki.fi> - 1:1:0.2-1jpp
- Update to 0.2 and JPackage 1.5.

* Fri Sep 13 2002 Ville Skytt <ville.skytta at iki.fi> 1:0.1-1jpp
- 0.1.

* Sat Sep  7 2002 Ville Skytt <ville.skytta at iki.fi> 1.0-0.rc1.1jpp
- First JPackage release.

